Bug 1374313 - Complete system freeze while docking Lenovo T460s
Summary: Complete system freeze while docking Lenovo T460s
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-08 12:30 UTC by Hubert Kario
Modified: 2017-12-13 12:14 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:16:33 UTC
Type: Bug


Attachments (Terms of Use)
bios-version (1.06 KB, text/plain)
2016-09-29 11:52 UTC, Kaustubh Padegaonkar
no flags Details
kernel-version (106 bytes, text/plain)
2016-09-29 11:53 UTC, Kaustubh Padegaonkar
no flags Details
BIOS version info from dmidecode (1.45 KB, text/plain)
2016-09-29 16:05 UTC, Hubert Kario
no flags Details

Description Hubert Kario 2016-09-08 12:30:32 UTC
Description of problem:
When docking a running OS on the Lenovo T450s to a docking station having two screens connected (one DP one DVI), Gigabit Ethernet, USE mouse and keyboard, the system sometimes completely freezes while docking.

Toggling Num Lock or Caps Lock doesn't change the state, Magic SysRq does not allow even for a reboot. System has to be completely power-cycled to restore.

Version-Release number of selected component (if applicable):
kernel-4.7.2-201.fc24.x86_64

How reproducible:
about 2 in 3 times

Steps to Reproduce:
1. Start system, log on, connect to WiFi, open Firefox, Kontact...
2. Dock the system

Actual results:
Complete system freeze, mouse doesn't work, keyboard doesn't work

Expected results:
System continuing to work, external screens woken up.

Additional info:
Sometimes docking works and everything wakes up as expected, but it's uncommon.

Comment 1 Hubert Kario 2016-09-29 11:20:18 UTC
Issue still happens with newest BIOS firmware update as of today and kernel-4.7.4-200.fc24.x86_64

Comment 2 Kaustubh Padegaonkar 2016-09-29 11:52:38 UTC
Created attachment 1205935 [details]
bios-version

Comment 3 Kaustubh Padegaonkar 2016-09-29 11:53:16 UTC
Created attachment 1205936 [details]
kernel-version

Comment 4 Kaustubh Padegaonkar 2016-09-29 11:55:48 UTC
(In reply to Hubert Kario from comment #1)
> Issue still happens with newest BIOS firmware update as of today and
> kernel-4.7.4-200.fc24.x86_64

Hello Hubert,

I was facing the issue described in the description (#c0) till a few minutes ago. I have upgraded the bios and kernel. Please refer to the attachements for exact versions.

I am happy to report that I am not facing this issue any longer. I will still like to observe the behaviour over the course of a few days to be absolutely sure.

Please let me know if you need any more configurations/command-dumps from me so we can compare differences.

Thank you!

Comment 5 Hubert Kario 2016-09-29 16:05:46 UTC
Created attachment 1205980 [details]
BIOS version info from dmidecode

it looks to me like we're running exact same version of BIOS and kernel

Linux pintsize.usersys.redhat.com 4.7.4-200.fc24.x86_64 #1 SMP Thu Sep 15 18:42:09 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Comment 6 Kaustubh Padegaonkar 2016-09-30 11:58:24 UTC
Thats strange. Can it mean that the docking stations are running different firmwares? I was not able to query dmidecode for the firmware version; I guess -t 8 shows the port information which is closest I can get to knowing the docking station.

The label on the docking station says: 
Type 40A2 20v and the power adapter is 90W. 

Apologies if I am digressing; I am very curious to know the differences in our environments that is causing the unexpected behaviour.

Do you have any suggestions?

Comment 7 Hubert Kario 2016-09-30 12:32:46 UTC
(In reply to Kaustubh Padegaonkar from comment #6)
> Thats strange. Can it mean that the docking stations are running different
> firmwares? I was not able to query dmidecode for the firmware version; I
> guess -t 8 shows the port information which is closest I can get to knowing
> the docking station.

maybe
 
> The label on the docking station says: 
> Type 40A2 20v and the power adapter is 90W.

yes, I've got the same

> Apologies if I am digressing; I am very curious to know the differences in
> our environments that is causing the unexpected behaviour.
> 
> Do you have any suggestions?

Firmware is most likely

But I'm also running running tlp, so maybe the energy saving state has something to do with it? (I'm really grasping at straws here)

Comment 8 Kaustubh Padegaonkar 2016-09-30 13:27:40 UTC
Since we are grasping at straws, I have connected 2 Dell B0 130 monitors connected to VGA and DVI ports on the docking station. Are you running the same rig?

Comment 9 Hubert Kario 2016-10-03 11:39:26 UTC
no, slightly different one, as I said in description:

> a docking station having two screens connected (one DP one DVI),

the screens are NEC MultiSync E231W

Comment 10 Hubert Kario 2016-10-05 12:35:44 UTC
Interestingly, suspending to RAM before docking and docking a suspended machine seems to workaround the issue.

Hardly convenient, but still better than full system reboot...

Comment 11 Justin M. Forbes 2017-04-11 14:41:10 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 12 Hubert Kario 2017-04-12 10:06:44 UTC
I think you meant 4.10.9-100.fc25?

and I'm still experiencing the issue with kernel-4.10.8-100.fc24.x86_64, latest one available for Fedora 24.

I plan to migrate to Fedora 25 next month.

Comment 13 Fedora End Of Life 2017-07-25 22:54:37 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Hubert Kario 2017-08-02 16:27:47 UTC
Fedora 25 is affected.
Reproduced with kernel-4.11.12-200.fc25.x86_64

Comment 15 Fedora End Of Life 2017-11-16 18:58:56 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:16:33 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 Hubert Kario 2017-12-13 12:14:33 UTC
I did dock it multiple times now with kernel-4.13.16-202.fc26.x86_64 and it handled it nicely every time, so I'm marking the issue as fixed in current release.


Note You need to log in before you can comment on or make changes to this bug.